#!/bin/sh

if [ -z $JAVA_HOME ]
then
    echo ". =================================================="
    echo "."
    echo ". Please, set JAVA_HOME before running this script."
    echo "."
    echo ". =================================================="
    exit;
fi

if [ ! -f "$JAVA_HOME/bin/java" ]
then
    echo ". =================================================="
    echo "."
    echo ". Please, set JAVA_HOME to the path of a valid jdk."
    echo "."
    echo ". =================================================="
    exit;
fi

if [ ! -f bin/install.sh ]
then
    echo ". =================================================="
    echo "."
    echo ". Please start this script from the Sync4j home directory."
    echo "."
    echo ". =================================================="
    exit;
fi

if [ "$1" != "sunri" ] 
then
    if [ "$1" != "jboss" ]
    then
        echo ". =================================================="
        echo ".                                                   "
        echo ". Please, specify target application sever.         "
	echo ". Syntax:                                           "
        echo ".     install [jboss/sunri]                         "
        echo ".                                                   "
        echo ". =================================================="
        exit;
    fi
fi

# just in case...
chmod +x ./ant/bin/*
unset ANT_HOME

CLASSPATH=lib\sync4j-clientframework.jar; export CLASSPATH

./ant/bin/ant -buildfile install.xml -q $1

# In case the installation created new scripts
chmod +x ./bin/*.sh
